from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XProfileDiscover(XInterface, Protocol):
    def getProfileCount(self, product: inMozillaProductType) -> int: ...
    def getProfileList(self, product: inMozillaProductType, list: sequence<string>) -> int: ...
    def getDefaultProfile(self, product: inMozillaProductType) -> str: ...
    def getProfilePath(self, product: inMozillaProductType, profileName: instring) -> str: ...
    def isProfileLocked(self, product: inMozillaProductType, profileName: instring) -> bool: ...
    def getProfileExists(self, product: inMozillaProductType, profileName: instring) -> bool: ...
